Subject: bug#61655: [Tree sitter] [Feature Request] font-lock function calls, definitions, separately

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Feb 2023 20:15:04 +0200

> Cc: [email-masked]
> Date: Wed, 22 Feb 2023 23:38:04 +0200
> From: Dmitry Gutov <[email-masked]>
> 
> On 22/02/2023 22:45, Yuan Fu wrote:
> > Yeah that’s just an idea, and I don’t have problem adding faces. But we probably can’t keep adding more and more specific faces. At one point we’ll need to either add indirection, or ask users to just add their own fontification rules, if it is really specific. We’ll see.
> 
> An indirection seems like a separate new feature. Might be useful for 
> some, but probably unnecessary for this discussion.
> 
> > Function definition & call is totally reasonable. But adapting all the major modes to use them is might be too big a change for emacs-29.
> 
> The change itself should be very straightforward. If we agree on the set 
> of faces (for variables and properties as well, right?), I don't mind 
> posting a patch for review.
> 
> Whether it gets accepted or not.

I'm okay with adding a few more faces to emacs-29, but please hurry,
as we don't have too much time for more additions.